SDL_JoystickEventsEnabled(3)

NAME
SDL_JoystickEventsEnabled - Query the state of joystick event processing.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_JoystickEventsEnabled(void);

DESCRIPTION
If joystick events are disabled, you must call

SDL_UpdateJoysticks () yourself and check the state of the joystick when you want joystick information.

RETURN VALUE
Returns true if joystick events are being processed, false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetJoystickEventsEnabled(3)